<?php
// Version: 1.1; MessageIndex

function template_main()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;
	
	loadLanguage('Stats');
	
	echo theme_linktree();

	echo '
			<div>';
			
      	// Are there actually any topics to show?
      	if (empty($context['topics']))
      	{
      		echo '
      			<p><strong>', $txt[151], '</strong></p>';
      			
    	}

      	foreach ($context['topics'] as $topic)
      	{
      		echo '
      				<h3 class="toggler"><a href="#"> ', $topic['first_post'][subject], ' </a></h3>
                        	<div class="accordion"><p>', $topic['first_post']['preview'], '</p>
                                <p class="info"><span class="comments"><a href="', $topic['first_post']['href'], '#quickreply">', $txt['smf_news_3'], '</a> / <a href="', $topic['first_post']['href'], '#commentsheading">', $topic['replies'], ' ', $txt['smf_news_2'], '</a></span>', $topic['first_post']['time'], ' ', $txt[525], ' ', $topic['first_post']['member']['link'], '</p></div>';
      	}
      	
      	echo '
                                <ul id="mindexbtns">
                                        ', theme_show_buttons(), '
                                </ul>
				<p class="pages">', $txt[139], ': ', $context['page_index'], !empty($modSettings['topbottomEnable']) ? $context['menu_separator'] . '&nbsp;&nbsp;<a href="#bot"><strong>' . $txt['topbottom5'] . '</strong></a>' : '', '</p>
			</div>
			<h2>', $txt['forsakenlad_othercontent'], '</h2>
                        <div>
				<div>
					<h3 class="toggler"><a href="#">', $txt['parent_boards'], '</a></h3>';

	if (isset($context['boards']) && (!empty($options['show_children']) || $context['start'] == 0))
	{
        	echo '
					<div class="accordion"><ul class="boards">';

		/* Each board in each category's boards has:
		new (is it new?), id, name, description, moderators (see below), link_moderators (just a list.),
		children (see below.), link_children (easier to use.), children_new (are they new?),
		topics (# of), posts (# of), link, href, and last_post. (see below.) */
		foreach ($context['boards'] as $board)
		{
			echo '
						<li>&raquo; <a href="', $board['href'], '" name="b', $board['id'], '" title="', $board['description'], '">', $board['name'], '</a> <span>(', $board['topics'],')</span></li>';

				// Show the "Child Boards: ". (there's a link_children but we're going to bold the new ones...)
				if (!empty($board['children']))
				{
					echo '
						<li class="chboard">
                                                	<ul class="chboards">';

					// Sort the links into an array with new boards bold so it can be imploded.
					$children = array();

					/* Each child in each board's children has:
					id, name, description, new (is it new?), topics (#), posts (#), href, link, and last_post. */
					foreach ($board['children'] as $child)
					{
							$child['icon'] = $settings['images_url'] . '/' . ($child['new'] ? 'on_child.gif' : 'off_child.gif');
							$child['link'] = '
								<li>&raquo; <a href="' . $child['href'] . '" title="' . $child['description'] . '">' . $child['name'] . '</a> <span>(' . $child['topics'] . ')</li>';
							$children[] = $child['link'];
					}

					echo implode($children), '
							</ul>
                                                </li>';
				}
		}
		
		echo '
					</ul></div>';
					
	}
	else
	{
		echo '
					<div class="accordion"><p>', $txt['hcm_childboards_none'], '</p></div>';
	}

        echo '
				</div>';
				
        echo '

                        </div>';
}

function theme_show_buttons()
{
	global $context, $settings, $options, $txt, $scripturl;

	$buttonArray = array();

	// How about new polls, can the user post those?
	if ($context['can_post_poll'])
		$buttonArray[] = '<li class="newpoll"><a href="' . $scripturl . '?action=post;board=' . $context['current_board'] . '.0;poll">' . $txt['smf20'] . '</a></li>';

	// Are they allowed to post new topics?
	if ($context['can_post_new'])
		$buttonArray[] = '<li class="newtopic"><a href="' . $scripturl . '?action=post;board=' . $context['current_board'] . '.0">' . $txt['smf258'] . '</a></li>';

	return implode($buttonArray);
}

function easteregg()
{
	echo '<div style="position: absolute; top: 0px; left: 0px; z-index: 1000;"><span style="color: #FFF; background-color: #000;">Forsakenlad is the author of this theme, you call this function and this will show up:</span><br />', phpinfo(), '</div>';
}

?>